XNVME-FEATURE-GET(1)

NAME
xnvme-feature-get - Execute a Get Features Command

SYNOPSIS
xnvme feature-get <uri> [<args>]

DESCRIPTION
Execute a Get Features Command

REQUIRED

<uri>
    Device URI e.g. '/dev/nvme0n1', '0000:01:00.1', '10.9.8.1.8888', '\.PhysicalDrive1'

--fid 0xNUM
    Feature Identifier

OPTIONAL

[ --nsid 0xNUM ]
    Namespace Identifier for Command Construction

[ --sel 0xNUM ]
    current=0x0, default=0x1, saved=0x2, supported=0x3

[ --cdw11 0xNUM ]
    Command Dword11

[ --data-output FILE ]
    Path to data output-file

[ --data-nbytes NUM ]
    Data size in bytes

[ --subnqn STRING ]
    Subsystem NQN of the NVMe over Fabrics endpoint e.g. 'nqn.2022-06.io.xnvme:ctrlnode1'

[ --hostnqn STRING ]
    The host NQN to use when connecting to NVMe over Fabrics controllers

[ --be STRING ]
    xNVMe backend, e.g. 'linux', 'spdk', 'fbsd', 'macos', 'posix', 'windows'

[ --dev-nsid 0xNUM ]
    Namespace Identifier for Device Handle

[ --admin STRING ]
    xNVMe admin. command-interface, e.g. 'nvme', 'block'

[ --mem STRING ]
    xNVMe buffer/memory manager

[ --direct NUM ]
    Bypass layers

[ --help ]
    Show usage / help

SEE ALSO
Full documentation at: <https://xnvme.io/>

AUTHOR
Written by Simon A. F. Lund <simon.lund@samsung.com> on behalf of Samsung